## squeak-vm 4.10.2.2614+20120917~dfsg

=== platforms/unix/Makefile ===
# Last edited: 2010-04-12 07:43:29 by piumarta on ubuntu

all : .force
	[ -d bld ] || mkdir bld
	[ -f bld/Makefile ] || ( cd bld; ../cmake/configure; )
	( cd bld; $(MAKE) $(MFLAGS); )

install : all
	( cd bld; $(MAKE) $(MFLAGS) install; )

clean : .force
	/bin/rm -rf bld

.force :

=== platforms/Cross/plugins/GdbARMPlugin/Makefile ===
CC      = gcc
CFLAGS  = 
LDFLAGS = libsim.a $(GDBBUILDFOLDER)/opcodes/libopcodes.a -lbfd -lintl -liberty -Wl,-wrap,ARMul_OSHandleSWI
GDBBUILDFOLDER = /d/build/gdb-7.4
SHAREDLIBRARYFLAGS = 

all:
	$(CC) $(CFLAGS) armulmem.c -c -I$(GDBBUILDFOLDER)/sim/arm/
	$(CC) $(CFLAGS) sqGdbARMPlugin.c -c -fPIC -I$(GDBBUILDFOLDER)/sim/arm/
	gcc -shared $(SHAREDLIBRARYFLAGS) -o GdbARMPlugin.dll sqGdbARMPlugin.o armulmem.o $(LDFLAGS)
#	mkdir ../cog/platforms/Cross/plugins/GdbARMPlugin
#	mkdir ../cog/platforms/win32/plugins/GdbARMPlugin
	cp sqGdbARMPlugin.c GdbARMPlugin.h armulmem.c ../cog/platforms/Cross/plugins/GdbARMPlugin/
	cp Makefile.win32 ../cog/platforms/win32/plugins/GdbARMPlugin/Makefile
	cd ../cog/cygwinbuild; make

=== platforms/Cross/plugins/Mpeg3Plugin/libmpeg/Makefile ===
### automatically generated by ./mkMakefile
### settings for building libmpeg by itself

LIBMPEG_CC=cc
LIBMPEG_CFLAGS=
LIBMPEG_LINKLIB=ar rcs
LIBMPEG_NASM=nasm -f elf
LIBMPEG_SOURCE_DIR=.
LIBMPEG_BUILD_DIR=.
LIBMPEG_OBJECT_EXT=o
LIBMPEG_LIBRARY_EXT=a


### default rule: build the library
default : libmpeg3.a


### Update the makefile when needed
Makefile : mkMakefile
	./mkMakefile 

#### automatically generated by ./mkMakefile
# flags for compiling libmpeg
LIBMPEG_CFLAGS += -I$(LIBMPEG_SOURCE_DIR) -I$(LIBMPEG_SOURCE_DIR)/audio -I$(LIBMPEG_SOURCE_DIR)/video

# a file that indicates the build tree has been created
LIBMPEG_BUILD_DIR_CREATED=$(LIBMPEG_BUILD_DIR)/tree.created

LIBMPEG_CFLAGS += -DNOPTHREADS

$(LIBMPEG_BUILD_DIR_CREATED):
	mkdir -p $(LIBMPEG_BUILD_DIR)
	mkdir -p $(LIBMPEG_BUILD_DIR)/audio
	mkdir -p $(LIBMPEG_BUILD_DIR)/video
	touch $(LIBMPEG_BUILD_DIR_CREATED)
$(LIBMPEG_BUILD_DIR)/bitstream.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/bitstream.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/bitstream.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/bitstream.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/libmpeg3.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/libmpeg3.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3atrack.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3atrack.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3atrack.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3atrack.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3demux.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3demux.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3demux.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3demux.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3io.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3io.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3io.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3io.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3title.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3title.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3title.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3title.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3vtrack.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3vtrack.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3vtrack.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3vtrack.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/changesForSqueak.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/changesForSqueak.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/changesForSqueak.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/changesForSqueak.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/dct.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/dct.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/dct.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/dct.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/header.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/header.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/header.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/header.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/layer2.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/layer2.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/layer2.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/layer2.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/layer3.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/layer3.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/layer3.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/layer3.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/mpeg3audio.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/mpeg3audio.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/mpeg3audio.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/mpeg3audio.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/pcm.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/pcm.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/pcm.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/pcm.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/synthesizers.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/synthesizers.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/synthesizers.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/synthesizers.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/tables.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/tables.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/tables.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/tables.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/getpicture.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/getpicture.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/getpicture.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/getpicture.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/headers.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/headers.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/headers.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/headers.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/idct.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/idct.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/idct.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/idct.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/macroblocks.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/macroblocks.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/macroblocks.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/macroblocks.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/mmxtest.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/mmxtest.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/mmxtest.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/mmxtest.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/motion.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/motion.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/motion.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/motion.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/mpeg3video.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/mpeg3video.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/mpeg3video.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/mpeg3video.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/output.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/output.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/output.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/output.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/reconstruct.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/reconstruct.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/reconstruct.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/reconstruct.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/seek.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/seek.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/seek.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/seek.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/slice.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/slice.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/slice.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/slice.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/vlc.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/vlc.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/vlc.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/vlc.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_LIBRARY_EXT):  $(LIBMPEG_BUILD_DIR)/bitstream.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3atrack.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3demux.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3io.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3title.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3vtrack.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/changesForSqueak.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/dct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/header.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/layer2.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/layer3.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/mpeg3audio.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/pcm.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/synthesizers.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/tables.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/getpicture.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/headers.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/idct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/macroblocks.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/mmxtest.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/motion.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/mpeg3video.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/output.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/reconstruct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/seek.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/slice.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/vlc.$(LIBMPEG_OBJECT_EXT)
	$(LIBMPEG_LINKLIB) $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_LIBRARY_EXT)  $(LIBMPEG_BUILD_DIR)/bitstream.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3atrack.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3demux.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3io.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3title.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3vtrack.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/changesForSqueak.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/dct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/header.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/layer2.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/layer3.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/mpeg3audio.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/pcm.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/synthesizers.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/tables.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/getpicture.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/headers.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/idct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/macroblocks.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/mmxtest.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/motion.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/mpeg3video.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/output.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/reconstruct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/seek.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/slice.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/vlc.$(LIBMPEG_OBJECT_EXT)

clean: clean_libmpeg

clean_libmpeg:
	rm -f $(LIBMPEG_BUILD_DIR)/*.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/*/*.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_LIBRARY_EXT) $(LIBMPEG_BUILD_DIR_CREATED)

#### end of rules generated by ./mkMakefile

=== debian/changelog ===
squeak-vm (1:4.10.2.2614+20120917~dfsg-1) unstable; urgency=medium

  * update copyright info:
    + rewrite to use machine-readable format 1.0
  * update copyright info:
    + fix repackage upstream source,
      excluding problematic plugins for NPAPI
      (vaguely licensed and uses insecure tempfile)
      and QuickTime (non-DFSG licensed),
      some documentation without source,
      and some convenience code copies
    + exclude unused files from repackaged source
    + update coverage;
    + add lintian overrides about Reference field
      (see bug#786450)
  * update watch file:
    + bump to file format 4
    + track git commits (not tarball releases)
    + mention gbp --uscan in usage comment
  * add source helper script copyright-check
  * update file paths in source package
    to match repackaged git-tracked upstream source
  * add patch 2001 to avoid missing plugin npsqueak

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Nov 2021 04:48:50 +0100

squeak-vm (1:4.10.2.2614-9) unstable; urgency=medium

  * update Homepage and watch URIs

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Nov 2021 13:02:44 +0100

=== debian/control ===
Source: squeak-vm
Section: interpreters
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 autotools-dev,
 cdbs,
 cmake,
 debhelper,
 libasound2-dev [linux-any],
 libaudio-dev,
 libcairo2-dev,
 libdbus-1-dev,
 libffi-dev,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libpango1.0-dev,
 libpcre3-dev,
 libpulse-dev,
 libspeex-dev,
 libvorbis-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 sharutils,
 uuid-dev,
Build-Conflicts:
 libasound2-dev [!linux-any],
Standards-Version: 4.2.1
Homepage: http://squeakvm.org/unix/
Vcs-Git: https://salsa.debian.org/pkg-sugar-team/squeak-vm.git
Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/squeak-vm
Rules-Requires-Root: no

Package: squeak-vm
Architecture: any
Depends:
 gettext-base,
 whiptail,
 xterm | x-terminal-emulator,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 scratch | etoys,
 zenity | kdialog
Description: virtual machine for Smalltalk
 Squeak is a full-featured implementation of the Smalltalk programming
 language and environment based on (and largely compatible with) the
 original Smalltalk-80 system.
 .
 This package contains just the Unix Squeak virtual machine.  You will
 likely need also an image file containing a "snapshot" of a live Squeak
 session - e.g. one of the Debian packages etoys or scratch.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# code not written for optimizations of GCC 4.2.1 and newer
# <https://smallissimo.blogspot.com/2013/02/compiling-squeak-cog-virtual-machine-on.html>
export DEB_CFLAGS_MAINT_APPEND = -fno-caller-saves -fno-strict-overflow -fno-strict-aliasing

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

pkg = $(DEB_SOURCE_PACKAGE)

# Put aside convenience code copies during build
DEB_UPSTREAM_CRUFT_MOVE = platforms/Cross/plugins/RePlugin/pcre.c \
 platforms/Cross/plugins/RePlugin/pcre.h
# all j*.[ch] except jmemd*.c and jinclude.h
jpegfiles = jcapimin.c jcapistd.c jccoefct.c jccolor.c jcdctmgr.c
jpegfiles += jchuff.c jchuff.h jcinit.c jcmainct.c jcmarker.c jcmaster.c
jpegfiles += jcomapi.c jconfig.h jcparam.c jcphuff.c jcprepct.c
jpegfiles += jcsample.c jctrans.c jdapimin.c jdapistd.c jdatadst.c
jpegfiles += jdatasrc.c jdcoefct.c jdcolor.c jdct.h jddctmgr.c jdhuff.c
jpegfiles += jdhuff.h jdinput.c jdmainct.c jdmarker.c jdmaster.c
jpegfiles += jdmerge.c jdphuff.c jdpostct.c jdsample.c jdtrans.c
jpegfiles += jerror.c jerror.h jfdctflt.c jfdctfst.c jfdctint.c
jpegfiles += jidctflt.c jidctfst.c jidctint.c jidctred.c jmemmgr.c
jpegfiles += jmemnobs.c jmemsys.h jmorecfg.h jpegint.h jpeglib.h
jpegfiles += jquant1.c jquant2.c jutils.c jversion.h
DEB_UPSTREAM_CRUFT_MOVE += \
 $(patsubst %,platforms/Cross/plugins/JPEGReadWriter2Plugin/%,$(jpegfiles))

DEB_SRCDIR = platforms/unix
DEB_BUILDDIR = build-tree

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_curdestdir)

ifneq ($(DEB_HOST_ARCH),i386)
	CONFIG_OPTS=--without-RomePlugin --without-Mpeg3Plugin
endif

# FFIPrims plugin uses assembler code unsupported on powerpcspe
ifeq ($(DEB_HOST_ARCH),powerpcspe)
	CONFIG_OPTS=--without-SqueakFFIPrims
endif

vmmversion = $(basename $(DEB_UPSTREAM_TARBALL_VERSION))
svnversion = $(subst .,,$(suffix $(DEB_UPSTREAM_TARBALL_VERSION)))
guess := $(shell /usr/share/misc/config.guess)
sub := $(shell /usr/share/misc/config.sub $(guess))
DEB_CMAKE_EXTRA_FLAGS += -DVM_HOST=$(sub)
DEB_CMAKE_EXTRA_FLAGS += -DVM_VERSION=$(vmmversion)-$(svnversion)
DEB_CMAKE_EXTRA_FLAGS += -DPLATFORM_SOURCE_VERSION=$(svnversion)
DEB_CMAKE_EXTRA_FLAGS += -DOPT--prefix=$(DEB_CMAKE_INSTALL_PREFIX)
CONFIG_OPTS += --with-npsqueak
DEB_CMAKE_EXTRA_FLAGS += $(patsubst %,-DOPT%=1,$(CONFIG_OPTS))

# Upstream README contains no parts relevant for Debian usage
DEB_INSTALL_DOCS_ALL =

DEB_INSTALL_CHANGELOGS_ALL = platforms/unix/ChangeLog
DEB_INSTALL_MANPAGES_$(pkg) = debian/squeak.1

install/$(pkg)::
	for y in debian/po/*.po; do \
	  i=`basename $$y .po`; \
	  mkdir -p $(cdbs_curdestdir)/usr/share/locale/$$i/LC_MESSAGES/; \
	  msgfmt $$y -o $(cdbs_curdestdir)/usr/share/locale/$$i/LC_MESSAGES/squeak.mo --statistics ; \
	done

binary-post-install/$(pkg)::
	rm -f $(cdbs_curdestdir)/usr/bin/squeak.sh
	mv $(cdbs_curdestdir)/usr/lib/squeak/- $(cdbs_curdestdir)/usr/lib/squeak/$(DEB_VERSION_UPSTREAM)

binary-strip/$(pkg)::
	$(if $(filter nostrip,$(DEB_BUILD_OPTIONS)),,strip -s --remove-section=.comment $(cdbs_curdestdir)/usr/lib/squeak/*/*)

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=4.10.2.2614+%cd~dfsg,\
dversionmangle=auto \
https://github.com/OpenSmalltalk/opensmalltalk-vm HEAD
